Bug 1429779 (CVE-2017-5401)

Summary: CVE-2017-5401 Mozilla: Memory Corruption when handling ErrorResult (MFSA 2017-06)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-14 06:38:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1419403    

Description Huzaifa S. Sidhpurwala 2017-03-07 04:46:57 UTC
A crash triggerable by web content in which an <code>ErrorResult</code> references unassigned memory due to a logic error. The resulting crash may be exploitable.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-06/#CVE-2017-5401


Acknowledgements:

Name: the Mozilla project
Upstream: Anton Eliasson

Comment 1 errata-xmlrpc 2017-03-08 15:54:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0461 https://rhn.redhat.com/errata/RHSA-2017-0461.html

Comment 2 errata-xmlrpc 2017-03-08 16:04:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2017:0459 https://rhn.redhat.com/errata/RHSA-2017-0459.html

Comment 3 errata-xmlrpc 2017-03-14 06:04:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0498 https://rhn.redhat.com/errata/RHSA-2017-0498.html